Method: networks.forecastAdjustments.batchCreate

Creates ForecastAdjustment objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/forecastAdjustments:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where ForecastAdjustments will be created. Format: networks/{networkCode} The parent field in the CreateForecastAdjustmentRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateForecastAdjustmentRequest)
    }
  ]
}
Fields
requests[]

object (CreateForecastAdjustmentRequest)

Required. The ForecastAdjustment objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for forecastAdjustments.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "forecastAdjustments": [
    {
      object (ForecastAdjustment)
    }
  ]
}
Fields
forecastAdjustments[]

object (ForecastAdjustment)

The ForecastAdjustment objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateForecastAdjustmentRequest

Request object for forecastAdjustments.create method.

JSON representation
{
  "parent": string,
  "forecastAdjustment": {
    object (ForecastAdjustment)
  }
}
Fields
parent

string

Required. The parent resource where this ForecastAdjustment will be created. Format: networks/{networkCode}

forecastAdjustment

object (ForecastAdjustment)

Required. The ForecastAdjustment to create.